Bug 2238905 - F40 workstation's Displays Scale is 125% by default on 1920x1080 14" laptop display
Summary: F40 workstation's Displays Scale is 125% by default on 1920x1080 14" laptop d...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-14 08:35 UTC by lnie
Modified: 2023-09-27 16:08 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
journal (381.73 KB, text/plain)
2023-09-14 08:38 UTC, lnie
no flags Details
screenshot (36.53 KB, image/png)
2023-09-14 08:39 UTC, lnie
no flags Details
screenshot from f39 system (162.78 KB, image/png)
2023-09-21 02:02 UTC, lnie
no flags Details
screenshot from previous releases (1.49 MB, image/png)
2023-09-21 02:04 UTC, lnie
no flags Details

Description lnie 2023-09-14 08:35:07 UTC
Perform a default installation with  Fedora-Workstation-Live-x86_64-39_Beta-1.1.iso on bare metal machine,boot into the newly installed system, you will find the screen seems zoomed in,just like when you boot the installer on the bare metal,check the Displays setting you will find Scale is set to 125%,as a result,the gnome-boxs VM's screen is pretty small.
The problem will be solved after you change 125% to 100%.

Reproducible: Always

Comment 1 lnie 2023-09-14 08:38:02 UTC
Created attachment 1988774 [details]
journal

Comment 2 lnie 2023-09-14 08:39:02 UTC
Created attachment 1988775 [details]
screenshot

Comment 3 Fedora Blocker Bugs Application 2023-09-15 10:10:06 UTC
Proposed as a Freeze Exception for 39-final by Fedora user lnie using the blocker tracking app because:

 Kind of violates:
https://fedoraproject.org/wiki/Fedora_39_Final_Release_Criteria#Window_manager_functionality

Comment 4 Adam Williamson 2023-09-15 17:16:35 UTC
This might be autodetected. What's the size and resolution of the monitor you tested on?

I'll try this on my test system and see what happens...

Comment 5 lnie 2023-09-17 15:06:26 UTC
>What's the size and resolution of the monitor you tested on?

monitor size:14''
dimensions:    
1920x1080 pixels (508x285 millimeters) 
resolution:    96x96 dots per inch

> This might be autodetected.

When I boot the installer on a pretty old laptop with 12''(1280x800) monitor,the scale is 100%,
so,it seems that it's auto detected,but the reason is why?The previous releases' scale on the same 14# machines are 100%,
which looks much better.

Comment 6 Adam Williamson 2023-09-17 16:51:55 UTC
The difference in F39 is that fractional scaling is now available by default. I'm not sure if we expected that result in *auto-detected* fractional scaling by default. I'll ask workstation WG to comment over in https://pagure.io/fedora-workstation/issue/357 .

Comment 7 Michael Catanzaro 2023-09-17 18:10:09 UTC
I'd say of course we want it to be auto-detected, because otherwise there's no benefit. We don't have any visible setting to choose your scale factor; even if we did, users shouldn't have to hunt through display settings to get scaling configured reasonably.

However, I'm surprised that a 14-inch screen at 1920x1080 is being scaled. That seems too aggressive.

Comment 8 Adam Williamson 2023-09-17 22:29:35 UTC
"We don't have any visible setting to choose your scale factor"

Eh? There's the "Scale" setting for each display in Displays. That's what I use to set mine...

Comment 9 lnie 2023-09-18 00:56:57 UTC
> I'd say of course we want it to be auto-detected.

yes,auto-detected make sense.

> However, I'm surprised that a 14-inch screen at 1920x1080 is being scaled. 

All of my three 14-inch(1920x1080) screen at hand are being scaled to 125% with f39.

> Eh? There's the "Scale" setting for each display in Displays. That's what I use to set mine...

Same here.

Comment 10 Adam Williamson 2023-09-20 23:31:50 UTC
1920x1080 at 14" is 157.35 PPI, per https://www.sven.de/dpi/ . For a desktop screen I'd definitely want scaling at that level. On a laptop screen it feels like an edge case - kinda depends on your personal preferences, and your eyes. I can see some people wanting 100% and some wanting 125%.

My own laptop display is 1920x1200 at 13.37", which is 169.35 PPI. At that level 125% scaling is just about perfect for me.

Comment 11 lnie 2023-09-21 02:00:26 UTC
Dear Adam,I report this bug not because of PPI,but for two other reasons 1) as I said in description,(and you can tell from the attached screenshot) the gnome-boxs VM's screen is pretty small, it's ugly,and much harder for you to read the words clearly than on 100% scale.2) by "The previous releases' scale on the same 14# machines are 100%,
which looks much better." in #comment5  I don't mean it's more clearer or less,I mean how it look,it looks a little ugly or clumsy...,it makes me feel I'm using a phone designed for old people,gonna to attach two screenshot to help you.

Comment 12 lnie 2023-09-21 02:02:58 UTC
Created attachment 1989779 [details]
screenshot from f39 system

Comment 13 lnie 2023-09-21 02:04:29 UTC
Created attachment 1989780 [details]
screenshot from previous releases

Comment 14 Adam Williamson 2023-09-21 03:38:29 UTC
Boxes not working well with scaling is a known issue - https://gitlab.gnome.org/GNOME/gnome-boxes/-/issues/635 . It's a shame it hasn't been fixed yet, though. That could really do with a higher priority. virt-manager works better, at least when you use the 'scale display' option.

The difference in F39 is that 125% is available by default. Up to F38, by default only 100%, 200%, 300% etc. scaling were available. So you wouldn't get scaling unless you had a very high resolution display. "Fractional scaling" is the term we use to refer to 125%, 150%, 175% etc. scaling factors. You *could* use them in F38 and earlier, but they were hidden behind a special setting, unless you changed that setting, they weren't available. So that's why you're seeing 125% scaling only in F39.

Comment 15 Ivan Garcia 2023-09-25 22:12:00 UTC
Is there a way to set GDM to 100% scaling instead of the new 125% ? Even if you set 100% scaling, GDM will still use 125%.

Comment 16 Geoffrey Marr 2023-09-25 23:50:33 UTC
Discussed during the 2023-09-25 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as, while there are various considerations and discussions around the fractional scaling feature, we are generally willing to grant an FE to any change in a conservative direction here (e.g. in this case, not applying auto-detection to non-integer scaling levels).

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2023-09-25/f39-blocker-review.2023-09-25-16.02.txt

Comment 17 Adam Williamson 2023-09-27 16:05:32 UTC
In the event, Workstation WG decided to push the fractional scaling change to F40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e667b725bb reverts it, and has been pushed stable, so this should be "fixed" for F39 at this point.

Rather than close it, let's move it to Rawhide and drop the F39 FE metadata, since there's still potentially an issue that fractional scaling autodetection may need fine-tuning.

Comment 18 Adam Williamson 2023-09-27 16:08:13 UTC
...however, note https://gitlab.gnome.org/GNOME/mutter/-/issues/3057 .


Note You need to log in before you can comment on or make changes to this bug.